Update a label
PATCH
/inboxes/{inbox_id}/labels/{label_id}Authorization
AuthorizationBearer token · headerrequiredA BillionSend API key (bs_…).
Path parameters
inbox_idstringrequiredThe inbox ID or its email address, such as support@example.com
label_idstring<uuid>requiredThe label ID
Request body
application/jsonnamestringcolorstringResponses
200
Label updated
idstring<uuid>requirednamestringrequiredcolorstringrequiredUppercase #RRGGBB
created_atstringrequiredobjectstringrequiredAllowed:
inbox_label401
Missing, malformed, unknown or revoked API key
statusCodenumberrequirednamestringrequiredmessagestringrequired404
Not found
statusCodenumberrequirednamestringrequiredmessagestringrequired422
Validation error or a duplicate name
statusCodenumberrequirednamestringrequiredmessagestringrequired429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumberrequirednamestringrequiredmessagestringrequired